- Qt 6.8
- Qt GUI
- C++ Classes
- QAccessibleEditableTextInterface
- Qt 6.8.3 Reference Documentation

# QAccessibleEditableTextInterface Class

The QAccessibleEditableTextInterface class implements support for objects with editable text. More...

Header: | `#include <QAccessibleEditableTextInterface>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::Gui)`
qmake: | `QT += gui`

- List of all members, including inherited members

## Public Functions

virtual | ~QAccessibleEditableTextInterface()
virtual void | deleteText(int startOffset, int endOffset) = 0
virtual void | insertText(int offset, const QString &text) = 0
virtual void | replaceText(int startOffset, int endOffset, const QString &text) = 0

## Detailed Description

When implementing this interface you will almost certainly also want to implement QAccessibleTextInterface.

IAccessible2 Specification

See also QAccessibleInterface.

## Member Function Documentation

### `[virtual noexcept]` QAccessibleEditableTextInterface::~QAccessibleEditableTextInterface()

Destroys the QAccessibleEditableTextInterface.

### `[pure virtual]` void QAccessibleEditableTextInterface::deleteText(int startOffset, int endOffset)

Deletes the text from startOffset to endOffset.

### `[pure virtual]` void QAccessibleEditableTextInterface::insertText(int offset, const QString &text)

Inserts text at position offset.

### `[pure virtual]` void QAccessibleEditableTextInterface::replaceText(int startOffset, int endOffset, const QString &text)

Removes the text from startOffset to endOffset and instead inserts text.